local addonName = "Numen"

cyCircled_Numen = cyCircled:NewModule(addonName)

function cyCircled_Numen:AddonLoaded()
	self.db = cyCircled:AcquireDBNamespace(addonName)
	cyCircled:RegisterDefaults(addonName, "profile", {
		["NButtons"] = true,
	})
	
	self:SetupElements()
	self:OnEnable()
end

function cyCircled_Numen:GetElements()
	return {
		["NButtons"] = true
	}
end

function cyCircled_Numen:SetupElements()
	self.elements = {
		["NButtons"] = { 
			args = {
				button = { width = 36, height = 36, },
				pt = false
			},
			elements = {}, 
		},
	}
--	table.insert(self.elements["NButtons"].elements, string.format("NumenEarthButton"))
	for i=0, 6, 1 do
		table.insert(self.elements["NButtons"].elements, string.format("NumenEarthButton%d", i))
	end
	for i=0, 7, 1 do
		table.insert(self.elements["NButtons"].elements, string.format("NumenFireButton%d", i))
	end
	for i=0, 6, 1 do
		table.insert(self.elements["NButtons"].elements, string.format("NumenWaterButton%d", i))
	end
	for i=0, 8, 1 do
		table.insert(self.elements["NButtons"].elements, string.format("NumenAirButton%d", i))
	end
	for i=0, 4, 1 do
		table.insert(self.elements["NButtons"].elements, string.format("NumenWeaponButton%d", i))
	end
end